Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.qmap
Class QIndexedComparableList

    java.lang.Object
      |
      +--com.jxml.quick.qmap.QComparable
            |
            +--com.jxml.quick.qmap.QComparableList
                  |
                  +--com.jxml.quick.qmap.QIndexedComparableList

All Implemented Interfaces:
  Cloneable, Comparable, QKeyed

public class QIndexedComparableList
extends QComparableList
implements Cloneable

The key is a list of Comparable objects.

Field Summary
`QIndexMap` | `container`

Fields inherited from class com.jxml.quick.qmap.QComparableList
`keyList`

Constructor Summary
`QIndexedComparableList()`
`QIndexedComparableList(Map container, List keyList)`

Method Summary
`void` | `attach(Map container)` Set the map which holds this object and add this object to the map.
`void` | `copy(Map newContainer)`
`int` | `index(int k)` Provides for reordering the keys in subclasses.

Methods inherited from class com.jxml.quick.qmap.QComparableList
`compareTo`

Methods inherited from class com.jxml.quick.qmap.QComparable
`key`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    public QIndexMap container

Constructor Detail

### QIndexedComparableList

    public QIndexedComparableList()

### QIndexedComparableList

    public QIndexedComparableList(Map container,
                                  List keyList)

Method Detail

### attach

    public void attach(Map container)

  Description copied from interface: `QKeyed`
  Set the map which holds this object and add this object to the map. (Set to null when removed from a container.)
  Overrides:
    `attach` in class `QComparable`

### index

    public int index(int k)

  Provides for reordering the keys in subclasses.
  Overrides:
    `index` in class `QComparableList`

### copy

    public void copy(Map newContainer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD